com.google.appengine.api.taskqueue

## Class QueueStatistics

- java.lang.Object
- - com.google.appengine.api.taskqueue.QueueStatistics

-     public final class QueueStatistics
      extends java.lang.Object

  `QueueStatistics` allow observation of the rate that tasks on a given queue are being executed. Note that statistics provided are only approximate, and some statistics may be delayed or transiently unavailable.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getEnforcedRate()` Returns the maximum number of tasks per second being run by this queue.
    `long` | `getExecutedLastMinute()` Returns the number of tasks executed in the last minute.
    `int` | `getNumTasks()` Returns the approximate number of non-completed tasks in the queue.
    `java.lang.Long` | `getOldestEtaUsec()` Returns a recent estimate of the eta of the oldest non-completed task in the queue.
    `java.lang.String` | `getQueueName()` Returns the name of the `Queue`.
    `int` | `getRequestsInFlight()` The number of requests that the queue has sent but not yet received a reply for.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getQueueName

          public java.lang.String getQueueName()

      Returns the name of the `Queue`.

    - #### getNumTasks

          public int getNumTasks()

      Returns the approximate number of non-completed tasks in the queue.

    - #### getOldestEtaUsec

          public java.lang.Long getOldestEtaUsec()

      Returns a recent estimate of the eta of the oldest non-completed task in the queue.
      Returns:
        The eta of the oldest non-completed task for the queue, or `null` if there were no non-completed tasks found in the queue.

    - #### getExecutedLastMinute

          public long getExecutedLastMinute()

      Returns the number of tasks executed in the last minute.

    - #### getRequestsInFlight

          public int getRequestsInFlight()

      The number of requests that the queue has sent but not yet received a reply for.
      Returns:
        The number of tasks currently in flight.

    - #### getEnforcedRate

          public double getEnforcedRate()

      Returns the maximum number of tasks per second being run by this queue.
      Returns:
        The enforced rate in tasks per second.